%define name	mailman
%define version 2.0.5
%define release 2

%define prefixdir %{_libdir}/mailman
%define contentdir /var/www

Summary:	The GNU Mailing List Management System
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Servers
License:	GPL
URL:		http://mailman.sourceforge.net/
Source:		%{name}-%{version}.tar.bz2
Patch:		mailman-LEIAME.patch.bz2
Patch2:		mailman-buildroot-check.patch.bz2
# XXX hany: it is here to avoid conflict with explicitly redefined CGIDIR
# XXX   in %%install
Patch3:		mailman-2.0.3-ugly-install-fix.patch
Patch4:		mailman-2.0.3-custom-list-templates.patch
Patch5:		mailman-2.0.4-handle_opts-doc_init.patch
Patch6:		mailman-2.0.4-subscribe_unknown-addr_use-template.patch
Patch7:		mailman-2.0.4-subscribe-doc_init.patch
Patch8:		mailman-2.0.4-custom-subscribeack-subject.patch
Patch9:		mailman-2.0.4-subscribeack-useradds.patch
Patch10:	mailman-2.0.5-SMTPDirect-useraddr_in_msg_parsing.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Prereq:		python >= 1.5.2, /usr/sbin/useradd
Requires:	webserver smtpdaemon

%description
Mailman -- The GNU Mailing List Management System --
is a mailing list management system written mostly in
Python. Features:

  o Most standard mailing list features, including:
     moderation, mail based commands, digests, etc...
  o An extensive Web interface, customizable on a per-list basis.
  o Web based list administration interface for *all* admin-type tasks
  o Automatic Web based hypermail-style archives (using pipermail or
    other external archiver), including provisions for private archives
  o Integrated mail list to newsgroup gatewaying
  o Integrated newsgroup to mail list gatewaying (polling-based... if you
     have access to the nntp server, you should be able to easily do
     non-polling based news->mail list gatewaying; email viega@list.org,
     I'd like to help get that going and come up
     with instructions)
  o Smart bounce detection and correction
  o Integrated fast bulk mailing
  o Smart spam protection
  o Extensible logging
  o Multiple list owners and moderators are possible
  o Optional MIME-compliant digests
  o Nice about which machine you subscribed from if you're from the
        right domain

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1

%build

# Mailman needs a special user/group
useradd -M -u 44 -d %{prefixdir} -s /bin/bash mailman > /dev/null 2>&1 || :
mkdir -p %{buildroot}%{prefixdir}
# as normal user, we don't have permissions to do this. %patch1 makes
# configure ignore this thing.
#chown mailman:mailman %{buildroot}%{prefixdir} || :
#chmod a+rx,g+ws %{buildroot}%{prefixdir} || :

%configure \
	--with-mail-gid=12 \
	--with-cgi-gid=48 \
	--prefix=%{prefixdir} \
	--with-username=mail \
	--with-groupname=mail
make

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}%{contentdir}/icons
mkdir -p %{buildroot}%{contentdir}/cgi-bin
mkdir -p %{buildroot}%{_sysconfdir}/cron.d
mkdir -p %{buildroot}%{_bindir}

make var_prefix=%{buildroot}%{prefixdir} prefix=%{buildroot}%{prefixdir} \
	CGIDIR=%{buildroot}%{contentdir}/cgi-bin \
	exec_prefix=%{buildroot}%{_exec_prefix} \
	install
cp misc/mailman.jpg %{buildroot}%{contentdir}/icons/
cp misc/PythonPowered.png %{buildroot}%{contentdir}/icons/
cp misc/gnu-head-tiny.jpg %{buildroot}%{contentdir}/icons/
cp %{buildroot}%{prefixdir}/cron/crontab.in %{buildroot}%{_sysconfdir}/cron.d/mailman
chmod 2755 %{buildroot}/%{prefixdir}

%pre
useradd -M -u 44 -d %{prefixdir} -s /bin/bash mailman > /dev/null 2>&1 || :

%postun
if [ $1 = 0 ]; then
	userdel mailman >/dev/null 2>&1 || :
fi

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%defattr(-,root,root)
%doc ACKNOWLEDGMENTS BUGS FAQ INSTALL LEIAME NEWS README TODO UPGRADING
%doc README.LINUX README.EXIM README.QMAIL README.SENDMAIL README.NETSCAPE 
%doc gnu-COPYING-GPL
%{_sysconfdir}/cron.d/mailman
%{contentdir}/icons/mailman.jpg
%{contentdir}/icons/PythonPowered.png
%{contentdir}/icons/gnu-head-tiny.jpg
%attr(06755,mailman,mail) %{contentdir}/cgi-bin/*
%attr(02775,mailman,mail) %{prefixdir}
%{_prefix}/mail/wrapper

%changelog
* Fri May 11 2001 Peter Hanecak <hanecak@megaloman.sk>
- fixed SMTPDirect.py patch (to parse "%%(useradds)s" in msgtext for each
  recipient)

* Thu May 10 2001 Peter Hanecak <hanecak@megaloman.sk>
- updated to 2.0.5

* Wed May  9 2001 Peter Hanecak <hanecak@megaloman.sk>
- SMTPDirect.py patched to parse "%%(useradds)s" in msgtext for each recipient

* Mon May  7 2001 Peter Hanecak <hanecak@megaloman.sk>
- Deliver.py:
  - patched to allow list specific subjects in subscribe acknowledge messages
  - patched to allow %%(useraddr)s in template

* Tue May  1 2001 Peter Hanecak <hanecak@megaloman.sk>
- subscribe.py patch to use subscribe.html template when reporting
  "LIST has no subscribed addr ADDR" error
- subscribe.py patch to fix headers in HTML output

* Wed Apr 25 2001 Peter Hanecak <hanecak@megaloman.sk>
- handle_opts.py patch to fix headers in HTML output

* Wed Apr 25 2001 Peter Hanecak <hanecak@megaloman.sk>
- updated to 2.0.4

* Mon Apr  9 2001 Peter Hanecak <hanecak@megaloman.sk>
- patched to allow list specific templates

* Wed Apr  4 2001 Peter Hanecak <hanecak@megaloman.sk>
- added CGI scripts
- fixed %%{prefixdir} permissions (group changed from mailman to mail)

* Mon Apr  2 2001 Peter Hanecak <hanecak@megaloman.sk>
- fixed missing wrapper

* Mon Mar 26 2001 Peter Hanecak <hanecak@megaloman.sk>
- updated to 2.0.3
- '%%define contentdir /var/www' used
- /usr/sbin/useradd added to Prereq
- %%configure used
- --with-cgi-gid=99 changed to --with-cgi-gid=48 - we are running apache as
  user 'apache' (uid 48, gid 48)
- it looks like instalation creates proper files in cgi-bin directory so
  maybe we can do www or cgi subpackage in the near future

* Tue Mar 06 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.2-1mdk
- updated to 2.0.2

* Fri Jan 19 2001 Vincent Danen <vdanen@mandrakesoft.com> 2.0.1-1mdk
- 2.0.1
- fix url
- move /home/httpd to /var/www

* Mon Dec 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.0-1mdk
- change user
- used srpm from Stefane Fermigier <sf@fermigier.com>

* Mon Jun 05 2000 Andreas Hasenack <andreas@conectiva.com>
- now requires smtpdaemon instead of sendmail

* Fri May 26 2000 Eliphas Levy Theodoro <eliphas@conectiva.com>
- added macros and removed warning-things for the testing environment
- added patch to configure so now he don't complain with maildir directory
- changed attribute of maildir directory to 02775 in %files

* Thu May 25 2000 Gustavo Niemeyer <niemeyer@conectiva.com>
- Updated to 2.0beta2
- Updated images

* Mon May 15 2000 Elvis Pftzenreuter <epx@conectiva.com>
- using stackguard compiler
- allows non-root compilation

* Wed Sep 15 1999 Rud Moura <ruda@conectiva.com>
- First build for Conectiva
- Adopted by Conectiva Linux
